/*
 * This Groovy source file was generated by the Gradle 'init' task.
 */
package resume.gradle

import org.gradle.testkit.runner.GradleRunner
import org.gradle.testkit.runner.TaskOutcome

import spock.lang.Specification

/**
 * A simple functional test for the 'resume.gradle' plugin.
 */
public class ResumeGradlePluginFunctionalTest extends Specification {

    def "can run build task"() {
        given:
        def projectDir = new File("build/functionalTest")

        when:
        def runner = GradleRunner.create()
        runner.forwardOutput()
        runner.withPluginClasspath()
        runner.withArguments("build")
        runner.withProjectDir(projectDir)
        def result = runner.build()

        then:
        result.task(':build')?.outcome == TaskOutcome.SUCCESS

        and:
        result.output.contains("Build Complete.")
    }
}
